package com.chenyang.nse.bussiness.entity.vo.dataproject;

import java.math.BigInteger;
import java.util.Date;

public class TCoreDiscoveryTaskVO {
   private String id;
   private Date createtime;
   private Date updatetime;
   private String tname;
   private String discoverytype;
   private String dbtype;
   private String taskstatus;
   private String projectid;
   private BigInteger tableCount;
   private String sysschema;
   private String dmptables;

   public String getId() {
      return this.id;
   }

   public void setId(String id) {
      this.id = id;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public Date getUpdatetime() {
      return this.updatetime;
   }

   public void setUpdatetime(Date updatetime) {
      this.updatetime = updatetime;
   }

   public String getTname() {
      return this.tname;
   }

   public void setTname(String tname) {
      this.tname = tname;
   }

   public String getDiscoverytype() {
      return this.discoverytype;
   }

   public void setDiscoverytype(String discoverytype) {
      this.discoverytype = discoverytype;
   }

   public String getDbtype() {
      return this.dbtype;
   }

   public void setDbtype(String dbtype) {
      this.dbtype = dbtype;
   }

   public String getTaskstatus() {
      return this.taskstatus;
   }

   public void setTaskstatus(String taskstatus) {
      this.taskstatus = taskstatus;
   }

   public String getProjectid() {
      return this.projectid;
   }

   public void setProjectid(String projectid) {
      this.projectid = projectid;
   }

   public BigInteger getTableCount() {
      return this.tableCount;
   }

   public void setTableCount(BigInteger tableCount) {
      this.tableCount = tableCount;
   }

   public String getSysschema() {
      return this.sysschema;
   }

   public void setSysschema(String sysschema) {
      this.sysschema = sysschema;
   }

   public String getDmptables() {
      return this.dmptables;
   }

   public void setDmptables(String dmptables) {
      this.dmptables = dmptables;
   }
}
